FSSYNC-DEBUG_VNODE(8)

NAME
fssync-debug_vnode - Display vnode info (FSYNC_VOL_QUERY_VNODE opcode)

SYNOPSIS
fssync-debug vnode -volumeid <volume ID>
    -vnodeid <vnode ID>
    -unique <uniquifier>
    -partition <exact partition name>
    [-reason <sync protocol reason code>]
    [-programtype <program type code>]
    [-help]

fssync-debug vn -vo <volume ID>
    -vn <vnode ID>
    -u <uniquifier>
    -pa <exact partition name>
    [-r <sync protocol reason code>]
    [-pr <program type code>]

DESCRIPTION
The fssync-debug vnode command displays information about a given vnode.

OPTIONS

-volumeid <volume ID>
    Specifies the numeric volume ID. Volume names are not permitted.

-vnodeid <vnode ID>
    Specifies the numeric vnode ID.

-unique <uniquifier>
    Specifies the numeric vnode uniquifier.

-partition <exact partition name>
    Specifies the exact partition name (e.g. /vicepa). Abbreviations are not permitted.

-reason <sync protocol reason code>
    Specifies numeric sync protocol reason code. Available codes are listed in OpenAFS source file src/vol/fssync_inline.h. For SYNC_REASON_NONE, use -reason 0.

-programtype <program type code>
    Specifies program type code. Permitted values are fileServer, volumeUtility, salvager, salvageServer, volumeServer and volumeSalvager.

PRIVILEGE REQUIRED
The issuer must have write access to the file server. Usually, this means that the issuer must be the local superuser "root" on the file server machine.

SEE ALSO
fssync-debug_header(8), fssync-debug_query(8),

COPYRIGHT
Copyright 2010 Sine Nomine Associates

This documentation is covered by the IBM Public License Version 1.0. This man page was written by Andrew Deason and Davor Ocelic for OpenAFS.